hugo (0.151.0-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Tue, 07 Oct 2025 08:41:43 +0200

hugo (0.151.0-1) unstable; urgency=medium

  * New upstream version 0.151.0
    - Remove patch for s390x, has been applied upstream
    - Add new Build-Depends on golang-github-johanneskaufmann-html-to-markdown-dev
    - Update Build-Depends golang-github-gohugoio-httpcache-dev (>= 0.8.0)
  * Use Debian packages instead of local copies.
  * Update changelog with missing bug numbers
  * Update patch descriptions, forward patch to upstream
  * Clean up d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 04 Oct 2025 10:21:33 +0200

hugo (0.150.1-1) unstable; urgency=medium

  * New upstream version 0.150.1
    - Refresh patches

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 27 Sep 2025 22:38:31 +0200

hugo (0.150.0-1) unstable; urgency=medium

  * New upstream version 0.150.0
    - Escapes some HTML attributes in Markdown in the internal templates.
      Fixes CVE-2024-55601. Closes: #1089683
    - Fixes FTBFS. Closes: #1115127
    - Fixes autopkgtest. Closes: #1111771
    - Refresh patches
    - Reformat patch headers
    - Add new patches to disable tests which require internet access
    - Update versioned dependencies
    - Update local copy of hugo-goldmark-extensions
    - Update local copy of bep/imagemeta to v0.12.0
    - Add local copy of github.com/bep/goportabletext
    - Add local copy of github.com/kyokomi/emoji
    - Add local copy of github.com/microcosm-cc/bluemonday
    - Add local copy of github.com/tetratelabs/wazero
    - Add golang-github-aymerick-douceur-dev to Build-Depends
    - Add golang-github-gorilla-css-dev to Build-Depends
    - Add golang-rsc-qr-dev to Build-Depends
    - Add golang-github-pkg-browser-dev to Build-Depends
    - Include wasm files
    - Include internal/js/esbuild files
    - Copy all the testscripts for testing
  * Update debian/watch to v5
  * Update d/copyright
  * Remove Rules-Requires-Root from d/control
  * Update Standards-Version to 4.7.2, no changes needed
  * Disable use of pristine-tar
  * Use wrap-and-sort -astkb
  * Do not install the internal/warpc/gen binary
  * Update lintian overrides with current path

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 27 Sep 2025 00:39:27 +0200

hugo (0.131.0-2) unstable; urgency=medium

  * Team upload
  * Cherry-pick upstream fix for newer version of
    golang-github-olekukonko-tablewriter

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 16 Aug 2025 17:04:35 +0000

hugo (0.131.0-1) unstable; urgency=medium

  * New upstream version 0.131.0
  * Update versioned dependencies in debian/control as per go.mod; also:
    - Bump github.com/bep/imagemeta from v0.7.4 to v0.7.5
    - Replace github.com/mitchellh/hashstructure v1.1.0
      with github.com/gohugoio/hashstructure v0.1.0
    - Simplify execute_after_dh_auto_configure for the installation
      of locally included github.com/gohugoio/* modules
  * Revert "Fix build with Go1.23"
    Remove 0005-Fix-build-with-Go1.23.patch which was backported from this
    upstream release.
    This reverts commit fb0248b668f60b93ee37f6a31c70ba3bfa2bc33b.

 -- Anthony Fok <foka@debian.org>  Mon, 02 Sep 2024 19:15:37 -0600

hugo (0.130.0-2) unstable; urgency=medium

  * Reorder and renumber Debian patches in original chronological order.
  * Add 0006-workaround-s390x-precision-of-atan-and-tan.patch.
    On s390x, math.Atan(1) and math.Tan(1) give values that slightly differ
    from other architectures, causing TestTemplateFuncsExamples to fail.
    This patch adds a workaround to fix FTBFS on s390x.

 -- Anthony Fok <foka@debian.org>  Fri, 30 Aug 2024 10:01:57 -0600

hugo (0.130.0-1) unstable; urgency=medium

  * New upstream version 0.130.0
  * Add local copy of github.com/bep/imagemeta v0.7.4, without the
    testdata/ directory of test images, the copyright of which
    needs further research
    Note: metadecoder_iptc_fields.json (for embedding) needs to be added
    manually because txtar-addmod, used for fetching
    github.com/bep/imagemeta, does not include any non-Go files
  * Skip TestTailwindV4Basic on armel for which no prebuilt
    @parcel/watcher is available.  Fixes autopkgtest on armel.

 -- Anthony Fok <foka@debian.org>  Sun, 18 Aug 2024 06:22:12 -0600

hugo (0.129.0-2) unstable; urgency=medium

  * Team upload
  * Fix build with Go1.23

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 14 Aug 2024 01:51:38 +0800

hugo (0.129.0-1) unstable; urgency=medium

  * New upstream version 0.129.0
  * Bump versioned dependencies as per go.mod
  * Add temporary local copy of github.com/mitchellh/hashstructure v1.1.0.
    golang-github-mitchellh-hashstructure-dev was inadvertently upgraded
    to v2.0.2, which is incompatible with v1.1.0, for Docker 26.1.4+dfsg1-9.
    That said, Hugo v0.131.0 bumps to its own fork of
    github.com/mitchellh/hashstructure/v2 v2.0.2 because it is no longer
    maintained.
    Fixes "FTBFS: src/github.com/gohugoio/hugo/identity/identityhash.go:47:37:
    not enough arguments in call to hashstructure.Hash".
    Thanks to Santiago Vila for notifying me of the FTBFS! (Closes: #1078283)
  * Update Files list in debian/copyright

 -- Anthony Fok <foka@debian.org>  Sat, 10 Aug 2024 07:45:38 -0600

hugo (0.128.2-2) unstable; urgency=medium

  * Skip TestTailwindV4Basic except for amd64 (x64), arm and arm64.
    This avoids the following error on architectures with no prebuilt
    @parcel/watcher, e.g. for i386:
        Error: No prebuild or local build of @parcel/watcher found.  Tried
        @parcel/watcher-linux-ia32-glibc.  Please ensure it is installed
        (don't use --no-optional when installing with npm). Otherwise it is
        possible we don't support your platform yet.  If this is the case,
        please report an issue to https://github.com/parcel-bundler/watcher.
    See https://www.npmjs.com/search?q=%40parcel%2Fwatcher-linux for
    architectures where prebuilds currently exist.

 -- Anthony Fok <foka@debian.org>  Mon, 15 Jul 2024 00:08:31 -0600

hugo (0.128.2-1) unstable; urgency=medium

  * New upstream version 0.128.2
  * Bump local github.com/gohugoio/hugo-goldmark-extensions/extras to v0.2.0
  * Bump versioned dependencies as per go.mod
  * Refresh 0004-skip-tests-that-access-the-internet.patch

 -- Anthony Fok <foka@debian.org>  Sun, 14 Jul 2024 07:19:04 -0600

hugo (0.127.0-1) unstable; urgency=medium

  * New upstream version 0.127.0
  * Add local copy of github.com/gohugoio/httpcache

 -- Anthony Fok <foka@debian.org>  Sat, 15 Jun 2024 08:21:13 -0600

hugo (0.126.3-1) unstable; urgency=medium

  * New upstream version 0.126.3

 -- Anthony Fok <foka@debian.org>  Tue, 04 Jun 2024 00:13:21 -0600

hugo (0.126.2-1) unstable; urgency=medium

  * New upstream version 0.126.2

 -- Anthony Fok <foka@debian.org>  Fri, 31 May 2024 10:10:44 -0600

hugo (0.126.1-1) unstable; urgency=medium

  * New upstream version 0.126.1
  * Bump versioned dependencies as per go.mod
  * Add github.com/gohugoio/hugo-goldmark-extensions/extras v0.1.0
    as a local copy
  * Add livereload/{gen/livereload-hugo-plugin.js,livereload.min.js}
    to DH_GOLANG_INSTALL_EXTRA
  * Add livereload/gen to DH_GOLANG_EXCLUDES to avoid building /usr/bin/gen

 -- Anthony Fok <foka@debian.org>  Mon, 20 May 2024 20:05:43 -0600

hugo (0.125.7-1) unstable; urgency=medium

  * New upstream version 0.125.7
  * Add EXTRA_NON_GOHUGOIO_GO_MODULES and execute_before_dh_auto_configure
    to debian/rules to make it easier to install temporary Go modules
  * Build with a temporary copy of github.com/getkin/kin-openapi v0.123.0
    instead of the packaged golang-github-getkin-kin-openapi-dev 0.124.0-1.
    Upstream has received reports from users of Hugo's `openapi3.Unmarshal`
    about breaking behavior `kin-openapi` v0.124.0, so revert to v0.123.0
    for now, pending further investigation.

 -- Anthony Fok <foka@debian.org>  Sat, 11 May 2024 03:18:03 -0600

hugo (0.125.6-1) unstable; urgency=medium

  * New upstream version 0.125.6

 -- Anthony Fok <foka@debian.org>  Tue, 07 May 2024 18:32:42 -0600

hugo (0.125.5-1) unstable; urgency=medium

  * New upstream version 0.125.5

 -- Anthony Fok <foka@debian.org>  Thu, 02 May 2024 04:23:19 -0600

hugo (0.125.4-1) unstable; urgency=medium

  * New upstream version 0.125.4
  * Bump versioned dependencies as per go.mod
  * Bump Standards-Version to 4.7.0 (no change)

 -- Anthony Fok <foka@debian.org>  Fri, 26 Apr 2024 23:04:34 -0600

hugo (0.124.1-1) unstable; urgency=medium

  * New upstream version 0.124.1
  * Update versioned dependencies as per go.mod
  * Bump github.com/gohugoio/hugo-goldmark-extensions/passthrough to v0.2.0
  * Revert "Patch resources/image_test.go to set usesFMA as true on riscv64"
    which is part of the v0.124.1 upstream release
  * Delete unused 0003-increase-timeout-in-TestPageBundlerSiteRegular.patch

 -- Anthony Fok <foka@debian.org>  Sun, 24 Mar 2024 21:00:41 -0600

hugo (0.123.8-2) unstable; urgency=medium

  * Add dependency on golang-github-makeworld-the-better-one-dither-dev.
    Revert "Add local copy of github.com/makeworld-the-better-one/dither/v2"
  * Patch resources/image_test.go to set usesFMA as true on riscv64.
    Fixes TestImageOperationsGolden "values are not deep equal" error
    on riscv64 with Go 1.22 and above;
    see https://github.com/gohugoio/hugo/pull/12284

 -- Anthony Fok <foka@debian.org>  Tue, 19 Mar 2024 22:03:57 -0600

hugo (0.123.8-1) unstable; urgency=medium

  * New upstream version 0.123.8

 -- Anthony Fok <foka@debian.org>  Sat, 09 Mar 2024 13:09:01 -0700

hugo (0.123.7-1) unstable; urgency=medium

  * New upstream version 0.123.7
  * Bump versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Fri, 01 Mar 2024 09:57:11 -0700

hugo (0.123.3-1) unstable; urgency=medium

  * New upstream version 0.123.3
  * Update dependencies as per go.mod
  * Refresh patches to skip several new npm-related tests
  * Disable 0003-increase-timeout-in-TestPageBundlerSiteRegular.patch
    as the test seems to have been removed
  * Override Lintian false-positive "source-is-missing" error
    on instagram.html shortcode
  * Update debian/copyright files listings:
    - Remove hugolib/assets/images/sunset.jpg
    - Add check_gofmt.sh
  * Add local copy of github.com/makeworld-the-better-one/dither/v2
    temporarily while golang-github-makeworld-the-better-one-dither awaits
    in the NEW queue

 -- Anthony Fok <foka@debian.org>  Sat, 24 Feb 2024 23:09:10 -0700

hugo (0.122.0-1) unstable; urgency=medium

  * New upstream version 0.122.0
  * Add github.com/gohugoio/hugo-goldmark-extensions/passthrough v0.1.0
    as a local copy
  * Bump versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Sun, 04 Feb 2024 07:35:47 -0700

hugo (0.121.2-1) unstable; urgency=medium

  * New upstream version 0.121.2
  * Build-depend on golang-golang-x-crypto-dev (>= 1:0.17.0)
    as per go.mod for CVE-2023-48795 (even if unlikely to affect Hugo)

 -- Anthony Fok <foka@debian.org>  Sun, 07 Jan 2024 08:44:01 -0700

hugo (0.121.1-1) unstable; urgency=medium

  * New upstream version 0.121.1
  * Bump versioned dependencies as per go.mod
  * debian/copyright: Add docs/assets to list of files

 -- Anthony Fok <foka@debian.org>  Sat, 30 Dec 2023 07:03:36 -0700

hugo (0.120.4-1) unstable; urgency=medium

  * New upstream version 0.120.4

 -- Anthony Fok <foka@debian.org>  Thu, 30 Nov 2023 14:09:44 -0700

hugo (0.120.3-1) unstable; urgency=medium

  * New upstream version 0.120.3
  * Bump versioned dependencies as per go.mod
  * Add mod_get.txt and mod_get_u.txt to 0002-skip-TestCommands-mod.patch
  * Remove docs/resources/* and docs/resources/.gitattributes from
    debian/copyright; fixes Lintian superfluous-file-pattern warnings

 -- Anthony Fok <foka@debian.org>  Tue, 07 Nov 2023 16:07:34 -0700

hugo (0.119.0-2) unstable; urgency=medium

  * Remove temporary local copy of github.com/bep/logg v0.2.0 as
    golang-github-bep-logg has been accepted into the Debian archive! Yay!

 -- Anthony Fok <foka@debian.org>  Sun, 15 Oct 2023 17:06:00 -0600

hugo (0.119.0-1) unstable; urgency=medium

  * New upstream version 0.119.0
  * Bump versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Sun, 15 Oct 2023 00:59:40 -0600

hugo (0.118.2-1) unstable; urgency=medium

  * New upstream version 0.118.2
  * Bump versioned dependencies as per go.mod
  * Refresh 0002-skip-TestCommands-mod.patch,
    removing testscripts/commands/mod__disable.txt too
  * Remove 0006-Fix-test-with-unicode-15.patch (fixed upstream)
  * Add create/skeletons/{site,theme} to DH_GOLANG_INSTALL_EXTRA

 -- Anthony Fok <foka@debian.org>  Wed, 11 Oct 2023 07:53:35 -0600

hugo (0.117.0-1) unstable; urgency=medium

  * New upstream version 0.117.0
  * Bump versioned dependencies as per go.mod
  * Update bundled copy of github.com/gohugoio/go-i18n/v2
    from v2.1.3-0.20210430103248-4c28c89f8013
      to v2.1.3-0.20230805085216-e63c13218d0e
  * Refresh 0004-skip-tests-that-access-the-internet.patch:
    TestGetResourceHead is renamed to TestGetRemoteHead
    in resources/resource_factories/create/integration_test.go

 -- Anthony Fok <foka@debian.org>  Tue, 10 Oct 2023 07:50:52 -0600

hugo (0.116.1-1) unstable; urgency=medium

  * New upstream version 0.116.1
  * Bump versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Mon, 09 Oct 2023 08:54:16 -0600

hugo (0.115.4-1) unstable; urgency=medium

  * New upstream version 0.115.4
  * Bump versioned dependencies as per go.mod
  * Refresh Debian patches
    - 0002-skip-TestCommands-mod.patch: Skip TestCommands/mod_vendor too

 -- Anthony Fok <foka@debian.org>  Sun, 08 Oct 2023 02:10:50 -0600

hugo (0.114.1-2) unstable; urgency=medium

  * Move github.com/gohugoio/* stuff to execute_after_dh_auto_configure
    to eliminate "mkdir -p _build/src/github.com/gohugoio"
  * Add temporary local copy of github.com/bep/logg v0.2.0
    while golang-github-bep-logg waits in the NEW queue (Closes: #1052834)
  * Add golang-github-bep-clocks-dev (>= 0.5.0) as build-dependency
    needed for github.com/bep/logg and future Hugo versions

 -- Anthony Fok <foka@debian.org>  Sun, 08 Oct 2023 01:44:39 -0600

hugo (0.114.1-1) unstable; urgency=medium

  * New upstream version 0.114.1
  * Update versioned dependencies as per go.mod
  * Refresh Debian patches

 -- Anthony Fok <foka@debian.org>  Thu, 21 Sep 2023 05:18:33 -0600

hugo (0.113.0-3) unstable; urgency=medium

  * Team upload
  * Backport patch to fix build with Go1.21
  * Bump to golang-1.21 on ppc64

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 30 Aug 2023 16:06:23 +0800

hugo (0.113.0-2) unstable; urgency=medium

  * Skip TestEmbeddedShortcodes except during autopkgtest
    as the tested {{< tweet >}} shortcode needs access to the internet.
    Thanks to Dave Jones for helping me with syncing to Ubuntu! (LP: #2025668)

 -- Anthony Fok <foka@debian.org>  Thu, 06 Jul 2023 09:15:58 -0600

hugo (0.113.0-1) unstable; urgency=medium

  * New upstream version 0.113.0
  * Remove temporary local copy of github.com/bep/lazycache v0.2.0
    and build-depend on golang-github-bep-lazycache-dev (>= 0.2.0) instead
  * Add build-dependency: golang-github-bep-mclib-dev (>= 1.20400.20402)

 -- Anthony Fok <foka@debian.org>  Mon, 03 Jul 2023 10:44:51 -0600

hugo (0.112.7-1) unstable; urgency=medium

  * New upstream version 0.112.7
  * Update versioned dependencies as per go.mod
  * Remove 0002-disable-TestPageWithLastmodFromGitInfo.patch
    as TestPageWithLastmodFromGitInfo was removed upstream,
    and refresh 0003-increase-timeout-in-TestPageBundlerSiteRegular.patch
  * Install testscripts/commands/*.txt so that TestCommands() does not fail
    with "no txtar nor txt scripts found in dir testscripts/commands"
  * Add debian/patches/0002-skip-TestCommands-mod.patch to remove
    testscripts/commands/mod.txt which fails during Debian package build
  * Update file list in debian/copyright

 -- Anthony Fok <foka@debian.org>  Thu, 29 Jun 2023 02:26:46 -0600

hugo (0.111.3-1) unstable; urgency=medium

  * New upstream version 0.111.3
  * Bump dependency golang-github-niklasfasching-go-org-dev (>= 1.6.6)
    as per upstream go.mod

 -- Anthony Fok <foka@debian.org>  Thu, 16 Mar 2023 02:41:31 -0600

hugo (0.111.2-1) unstable; urgency=medium

  * New upstream version 0.111.2
  * Add TestGetResourceHead to 0004-skip-tests-that-access-the-internet.patch.
    Thanks to William 'jawn-smith' Wilson for the contributing from Ubuntu!
  * Bump versioned dependencies as per go.mod
  * Add temporary local copy of github.com/bep/lazycache v0.2.0
    and its dependency github.com/hashicorp/golang-lru/v2 v2.0.1
  * Update file list in debian/copyright
  * Fix Lintian mismatched-override source-is-missing warning.  The override
    was added for hugo 0.110.0-1 but turns out to be a false positive.
    Thanks to William Desportes for fixing the issue in lintian 2.116.2!

 -- Anthony Fok <foka@debian.org>  Thu, 09 Mar 2023 04:13:04 -0700

hugo (0.110.0-1) unstable; urgency=medium

  * New upstream version 0.110.0
  * Bump build-dependency golang-github-evanw-esbuild-dev (>= 0.17.0)

 -- Anthony Fok <foka@debian.org>  Fri, 27 Jan 2023 03:03:29 -0700

hugo (0.109.0-1) unstable; urgency=medium

  * New upstream version 0.109.0
  * Update versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Thu, 26 Jan 2023 05:01:46 -0700

hugo (0.108.0-1) unstable; urgency=medium

  * New upstream version 0.108.0
  * Update versioned dependencies as per go.mod
  * Move golang-any from Suggests to Recommends as more and more websites
    and themes are using Hugo modules which are based on Go modules,
    but otherwise Hugo does not need Go to run,
    hence Recommends rather than Depends. (Closes: #1020250)
  * Fix Lintian warning: mismatched-override source-is-missing

 -- Anthony Fok <foka@debian.org>  Thu, 26 Jan 2023 04:35:36 -0700

hugo (0.107.0-1) unstable; urgency=medium

  * New upstream version 0.107.0
  * Fix various Lintian errors and warnings:
    - source-is-missing [debian/missing-sources/app.bundle.js/docsearch.js]
    - source-is-missing [debian/missing-sources/app.js/docsearch.js]
    - source-is-missing [docs/.../gohugoioTheme/.../svg/godoc-icon.html]
    - file-without-copyright-information docs/.markdownlintignore
    - file-without-copyright-information docs/.textlintignore
    - superfluous-file-pattern docs/.../gohugoioTheme/assets/js/hljs.js
    - superfluous-file-pattern docs/config.toml
  * Update versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Wed, 25 Jan 2023 14:52:43 -0700

hugo (0.106.0-1) unstable; urgency=medium

  * New upstream version 0.106.0
  * Update versioned dependencies as per go.mod, and bump
    libwebp-dev to (>= 1.2.4) for golang-github-bep-gowebp-dev 0.2.0
  * Bump Standards-Version to 4.6.2 (no change)
  * Refresh debian/patches/0001-do-not-use-git-information-in-docs.patch

 -- Anthony Fok <foka@debian.org>  Mon, 23 Jan 2023 08:29:28 -0700

hugo (0.105.0-2) unstable; urgency=medium

  * Fix FTBFS: add tzdata to Build-Depends. (Closes: #1027376)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 22 Jan 2023 21:24:08 +0100

hugo (0.105.0-1) unstable; urgency=medium

  * New upstream version 0.105.0
  * Update versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Sat, 29 Oct 2022 04:22:31 -0600

hugo (0.104.3-1) unstable; urgency=medium

  * New upstream version 0.104.3
  * Remove 0006-fix-flaky-TestServerPathEncodingIssues.patch
    which has been applied upstream

 -- Anthony Fok <foka@debian.org>  Tue, 04 Oct 2022 16:01:50 -0600

hugo (0.104.2-2) unstable; urgency=medium

  * Delete 0006-increase-wait-time-for-CI-in-runServerTest.patch
    which does not work
  * Apply 0006-fix-flaky-TestServerPathEncodingIssues.patch;
    see https://github.com/gohugoio/hugo/pull/10356

 -- Anthony Fok <foka@debian.org>  Tue, 04 Oct 2022 03:56:51 -0600

hugo (0.104.2-1) unstable; urgency=medium

  * New upstream version 0.104.2
  * Disable 0006-increase-wait-time-for-CI-in-runServerTest.patch

 -- Anthony Fok <foka@debian.org>  Thu, 29 Sep 2022 05:19:35 -0600

hugo (0.104.1-2) unstable; urgency=medium

  * Increase wait time for CI in runServerTest further to 5 seconds.
    When the wait was increased from 2 seconds to 3 seconds, Debian s390x
    buildd passed, but armel and ppc64 still failed. Hope we are lucky with 5!

 -- Anthony Fok <foka@debian.org>  Wed, 28 Sep 2022 14:35:23 -0600

hugo (0.104.1-1) unstable; urgency=medium

  * New upstream version 0.104.1

 -- Anthony Fok <foka@debian.org>  Tue, 27 Sep 2022 09:05:38 -0600

hugo (0.104.0-1) unstable; urgency=medium

  * New upstream version 0.104.0
  * Update versioned dependencies as per go.mod with new dependency
    on golang-github-marekm4-color-extractor-dev (>= 1.2.0)

 -- Anthony Fok <foka@debian.org>  Sun, 25 Sep 2022 01:58:54 -0600

hugo (0.103.1-1) unstable; urgency=medium

  * New upstream version 0.103.1

 -- Anthony Fok <foka@debian.org>  Wed, 21 Sep 2022 11:27:51 -0600

hugo (0.103.0-1) unstable; urgency=medium

  * New upstream version 0.103.0
  * Update versioned dependencies as per go.mod
  * Add docs/hugoreleaser.toml to file list in debian/copyright

 -- Anthony Fok <foka@debian.org>  Fri, 16 Sep 2022 14:37:28 -0600

hugo (0.102.3-1) unstable; urgency=medium

  * New upstream version 0.102.3

 -- Anthony Fok <foka@debian.org>  Thu, 01 Sep 2022 09:30:07 -0600

hugo (0.102.2-1) unstable; urgency=medium

  * New upstream version 0.102.2

 -- Anthony Fok <foka@debian.org>  Thu, 01 Sep 2022 00:40:34 -0600

hugo (0.102.1-2) unstable; urgency=medium

  * Bump dependencies: golang-github-tdewolff-parse-dev (>= 2.6.3) and
    golang-github-tdewolff-minify-dev (>= 2.12.1) to fix "panic: runtime
    error: invalid memory address or nil pointer dereference" when
    minify is used; see https://github.com/gohugoio/hugo/issues/10230

 -- Anthony Fok <foka@debian.org>  Tue, 30 Aug 2022 19:40:49 -0600

hugo (0.102.1-1) unstable; urgency=medium

  * New upstream version 0.102.1
  * Update versioned dependencies as per go.mod
  * Remove obsolete debian/patches/0001-skip-git-tests.patch
  * Add livereload/livereload.js to DH_GOLANG_INSTALL_EXTRA, and update
    debian/copyright and debian/missing-sources/livereload.js/* accordingly
  * Update file list in debian/copyright
    - Adding hugoreleaser.env, hugoreleaser.toml and release-hook-post-linux.sh
    - Removing goreleaser-hook-post-linux.sh and goreleaser.yml
  * Remove unused debian/missing-sources/highlight.js
  * Override Lintian error "source-is-missing [media/testdata/fake.js]"
    as fake.js is actually a PNG file

 -- Anthony Fok <foka@debian.org>  Mon, 29 Aug 2022 23:37:17 -0600

hugo (0.101.0-2) unstable; urgency=medium

  * Bump to golang-1.19 which is the new default go version in Debian
  * Suggests: asciidoctor, golang-any, npm, pandoc, python3-docutils.
    Inspired by https://github.com/gohugoio/hugo/issues/9078 and
    https://github.com/gohugoio/hugo/issues/10136

 -- Anthony Fok <foka@debian.org>  Sat, 13 Aug 2022 12:22:29 -0600

hugo (0.101.0-1) unstable; urgency=medium

  * New upstream version 0.101.0
  * Update versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Tue, 28 Jun 2022 05:23:41 -0600

hugo (0.100.2-1) unstable; urgency=medium

  * New upstream version 0.100.2
  * Remove 0007-go-toml-v2.0.1.patch which has been applied upstream
  * Bump Standards-Version to 4.6.1 (no change)

 -- Anthony Fok <foka@debian.org>  Mon, 13 Jun 2022 05:33:33 -0600

hugo (0.100.1-1) unstable; urgency=medium

  * New upstream version 0.100.1
  * Remove temporary local copy of github.com/bep/clock v0.3.0
  * Remove temporary local copy of github.com/bep/overlayfs v0.6.0
  * Update versioned dependencies as per go.mod, including the removal
    of dependency on golang-github-russross-blackfriday-dev
  * Refresh 0005-skip-tests-that-access-the-internet.patch
    skipping new test TestTransformPostCSSResourceCacheWithPathInBaseURL
    which also requires npm and Internet access during package build

 -- Anthony Fok <foka@debian.org>  Wed, 08 Jun 2022 09:40:38 -0600

hugo (0.99.1-1) unstable; urgency=medium

  * New upstream version 0.99.1
  * Update versioned dependencies as per go.mod
  * Add temporary local copy of github.com/bep/clock v0.3.0
  * Refresh patches, especially 0005-skip-tests-that-access-the-internet.patch
    where the following tests requiring npm were added in
    resources/resource_transformers/postcss/integration_test.go:
     - TestTransformPostCSSError
     - TestTransformPostCSSImportError
     - TestTransformPostCSSImporSkipInlineImportsNotFound

 -- Anthony Fok <foka@debian.org>  Tue, 07 Jun 2022 08:38:53 -0600

hugo (0.98.0-1) unstable; urgency=medium

  * New upstream version 0.98.0
  * Bump versioned dependencies as per go.mod
  * Remove Built-Using field from debian/control.
    The new Static-Built-Using field was previously added.

 -- Anthony Fok <foka@debian.org>  Sun, 05 Jun 2022 06:30:51 -0600

hugo (0.97.3-1) unstable; urgency=medium

  * New upstream version 0.97.3
  * Bump versioned dependencies as per go.mod
  * Bump local copy of github.com/gohugoio/localescompressed to v1.0.1
  * Change execute_after_dh_auto_configure to execute_before_dh_auto_configure
    for an easier way to add temporary local copy of Go libraries
  * Add temporary local copy of github.com/bep/overlayfs v0.6.0
  * Update to golang-github-pelletier-go-toml.v2 (>= 2.0.1)
    with compatibility fixes in 0007-go-toml-v2.0.1.patch

 -- Anthony Fok <foka@debian.org>  Sat, 04 Jun 2022 03:32:52 -0600

hugo (0.96.0-1) unstable; urgency=medium

  [ Debian Janitor (Jelmer Vernooĳ) ]
  * Remove constraints unnecessary since buster
    * Build-Depends: Drop versioned constraint on
      golang-github-armon-go-radix-dev, golang-github-burntsushi-locker-dev,
      golang-github-fortytw2-leaktest-dev, golang-github-ghodss-yaml-dev and
      golang-github-gobwas-glob-dev.
    Changes-By: deb-scrub-obsolete

  [ Anthony Fok ]
  * New upstream version 0.96.0
  * Drop dependency on golang-github-yuin-goldmark-highlighting-dev
    which Hugo stopped using in v0.93.0 in February 2022
  * Bump versioned dependencies as per go.mod
  * Build-depend on debhelper (>= 13.4) and remove --buildsystem=golang
  * Add Static-Built-Using field, but keeping the old Built-Using field
    for backward compatibility, for now

 -- Anthony Fok <foka@debian.org>  Sun, 03 Apr 2022 02:17:39 -0600

hugo (0.95.0-1) unstable; urgency=medium

  * New upstream version 0.95.0
  * Bump build-dependency on golang-any to (>= 2:1.18~)
  * Add docs/.cspell.json to file listing in debian/copyright

 -- Anthony Fok <foka@debian.org>  Mon, 21 Mar 2022 12:19:26 -0600

hugo (0.94.2-1) unstable; urgency=medium

  * New upstream version 0.94.2
  * Bump versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Sun, 20 Mar 2022 15:50:45 -0600

hugo (0.93.3-1) unstable; urgency=medium

  * New upstream version 0.93.3
  * Bump dependency on golang-github-yuin-goldmark-dev to (>= 1.4.8)
  * Update file listings in debian/copyright to reflect the removal
    of the examples/ directory upstream.  Fixes Lintian warnings
    file-without-copyright-information and superfluous-file-pattern

 -- Anthony Fok <foka@debian.org>  Sat, 19 Mar 2022 23:38:54 -0600

hugo (0.93.0-1) unstable; urgency=medium

  * New upstream version 0.93.0
  * Bump versioned dependencies as per go.mod
  * Bump local copy of github.com/gohugoio/localescompressed to v0.15.0
  * export DH_GOLANG_INSTALL_EXTRA := tpl/tplimpl/embedded/templates

 -- Anthony Fok <foka@debian.org>  Sat, 19 Mar 2022 22:41:24 -0600

hugo (0.92.2-1) unstable; urgency=medium

  * New upstream version 0.92.2
  * Switch from "hugo gen autocomplete" to "hugo completion"
  * Generate completion file for fish too, as hugo.fish in fish-common
    is now outdated
  * Update versioned dependencies as per go.mod
  * Update 0005-skip-tests-that-access-the-internet.patch: Integration tests
    for postcss, js and babel have been ported into their own packages

 -- Anthony Fok <foka@debian.org>  Wed, 23 Feb 2022 09:47:50 -0700

hugo (0.92.1-1) unstable; urgency=medium

  * New upstream version 0.92.1
  * Update versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Sat, 29 Jan 2022 00:56:42 -0700

hugo (0.92.0-1) unstable; urgency=medium

  * New upstream version 0.92.0
  * Update versioned dependencies as per go.mod
  * Simplify execute_after_dh_auto_configure in debian/rules.
    See new "gh" packaging for a simpler method if needed in the future.
  * Refresh Files list in debian/copyright

 -- Anthony Fok <foka@debian.org>  Thu, 13 Jan 2022 06:35:27 -0700

hugo (0.91.2-1) unstable; urgency=medium

  * New upstream version 0.91.2
    - Fixes the “Stuck on Build” Bug
    - Hugo 0.91.2 is the last release before Christmas!
    - Merry Christmas to all of you!
  * Bump dependency on golang-github-evanw-esbuild-dev to (>= 0.14.8)

 -- Anthony Fok <foka@debian.org>  Thu, 23 Dec 2021 13:38:55 -0700

hugo (0.91.0-1) unstable; urgency=medium

  * New upstream version 0.91.0
  * Bump dependency on golang-github-evanw-esbuild-dev to (>= 0.14.5)
  * Build with golang-$(go_ver)-go on ppc64.
    The default gccgo-go on ppc64 has failed to build hugo since March 2018.
    Better to exceed Debian's minimum ISA than to have no hugo at all.
    Caveat: external linking not supported for linux/ppc64, so the
            non-extended version is built for ppc64.
    See https://github.com/golang/go/issues/8912
  * Add build-dependency on python3-docutils for rst2html, which is needed
    by TestWordCountWithIsCJKLanguageFalse/rst since Hugo v0.91.0

 -- Anthony Fok <foka@debian.org>  Sat, 18 Dec 2021 00:09:51 -0700

hugo (0.90.1-1) unstable; urgency=medium

  * New upstream version 0.90.1

 -- Anthony Fok <foka@debian.org>  Thu, 16 Dec 2021 22:21:06 -0700

hugo (0.90.0-1) unstable; urgency=medium

  * New upstream version 0.90.0
  * Reorder fields in debian/control and debian/copyright
    as would be generated in the next dh-make-golang release after 0.6.0-1
  * Update versioned dependencies as per go.mod.
    New dependency: golang-github-clbanning-mxj-dev (>= 2.5.5)

 -- Anthony Fok <foka@debian.org>  Thu, 16 Dec 2021 18:29:41 -0700

hugo (0.89.4-2) unstable; urgency=medium

  * Remove local copy of github.com/pelletier/go-toml/v2
    as golang-github-pelletier-go-toml.v2-dev entered Debian on 2021-11-06

 -- Anthony Fok <foka@debian.org>  Tue, 30 Nov 2021 05:12:31 -0700

hugo (0.89.4-1) unstable; urgency=medium

  * New upstream version 0.89.4

 -- Anthony Fok <foka@debian.org>  Mon, 29 Nov 2021 00:31:46 -0700

hugo (0.89.3-1) unstable; urgency=medium

  * New upstream version 0.89.3
  * Bump goldmark and goldmark-highlighting dependency versions as per go.mod

 -- Anthony Fok <foka@debian.org>  Sun, 28 Nov 2021 17:33:24 -0700

hugo (0.89.2-1) unstable; urgency=medium

  * New upstream version 0.89.2
  * Bump dependency on golang-github-yuin-goldmark-dev to (>= 1.4.3)

 -- Anthony Fok <foka@debian.org>  Tue, 16 Nov 2021 13:02:39 -0700

hugo (0.89.1-1) unstable; urgency=medium

  * New upstream version 0.89.1

 -- Anthony Fok <foka@debian.org>  Tue, 16 Nov 2021 07:05:50 -0700

hugo (0.89.0-1) unstable; urgency=medium

  * New upstream version 0.89.0
  * Update versioned dependencies as per go.mod
  * Remove Debian patches which have been merged upstream:
    - 0007-override-enableGitInfo-in-TestLoadConfigWithOsEnvOverrides.patch
    - 0008-rename-excepted-filenames-for-image-golden-test.patch
  * Add docs/static/npmjs/* and goreleaser-hook-post-linux.sh
    to debian/copyright

 -- Anthony Fok <foka@debian.org>  Thu, 04 Nov 2021 12:06:46 -0600

hugo (0.88.1-1) unstable; urgency=medium

  * New upstream version 0.88.1

 -- Anthony Fok <foka@debian.org>  Sun, 31 Oct 2021 17:44:00 -0600

hugo (0.88.0-1) unstable; urgency=medium

  * New upstream version 0.88.0
  * Update versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Sun, 31 Oct 2021 17:22:41 -0600

hugo (0.87.0-1) unstable; urgency=medium

  * New upstream version 0.87.0
  * Update versioned dependencies as per go.mod
  * debian/rules: Use -short instead of -test.short flag for "go test"
  * Refresh 0002-do-not-use-git-information-in-docs.patch
  * Include github.com/gohugoio/locales v0.14.0
    by depending on golang-github-go-playground-locales-dev (>= 0.14.0)
    and replacing "go-playground" with "gohugoio" in import paths
  * Add local copy of github.com/gohugoio/localescompressed v0.14.0
  * Add local copy of github.com/pelletier/go-toml/v2
    until golang-github-pelletier-go-toml.v2-dev enters Debian

 -- Anthony Fok <foka@debian.org>  Sat, 30 Oct 2021 04:11:20 -0600

hugo (0.86.1-2) unstable; urgency=medium

  * Revert "Add local copy of github.com/bep/gowebp" and depend on
    golang-github-bep-gowebp-dev instead now that it has entered Debian
  * Resolve TestImageOperationsGolden failure on arm64, ppc64le and s390x.
    See 0008-rename-excepted-filenames-for-image-golden-test.patch
    and https://github.com/gohugoio/hugo/pull/9093

 -- Anthony Fok <foka@debian.org>  Thu, 28 Oct 2021 20:10:53 -0600

hugo (0.86.1-1) unstable; urgency=medium

  * New upstream version 0.86.1

 -- Anthony Fok <foka@debian.org>  Mon, 25 Oct 2021 10:34:43 -0600

hugo (0.86.0-1) unstable; urgency=medium

  * New upstream version 0.86.0

 -- Anthony Fok <foka@debian.org>  Mon, 25 Oct 2021 09:42:57 -0600

hugo (0.85.0-1) unstable; urgency=medium

  * New upstream version 0.85.0

 -- Anthony Fok <foka@debian.org>  Sat, 23 Oct 2021 15:45:16 -0600

hugo (0.84.4-1) unstable; urgency=medium

  * New upstream version 0.84.4

 -- Anthony Fok <foka@debian.org>  Fri, 22 Oct 2021 05:57:27 -0600

hugo (0.84.3-1) unstable; urgency=medium

  * New upstream version 0.84.3
  * Patch hugolib/config_test.go to override enableGitInfo
    so the test does not fail without git.  See
    0007-override-enableGitInfo-in-TestLoadConfigWithOsEnvOverrides.patch
    and https://github.com/gohugoio/hugo/pull/9070

 -- Anthony Fok <foka@debian.org>  Fri, 22 Oct 2021 05:29:50 -0600

hugo (0.84.2-1) unstable; urgency=medium

  * New upstream version 0.84.2

 -- Anthony Fok <foka@debian.org>  Thu, 21 Oct 2021 09:37:19 -0600

hugo (0.84.1-1) unstable; urgency=medium

  * New upstream version 0.84.1
  * Place license location on the filesystem in a Comment field.
    This is not part of the license statement; it's rather an ancillary
    comment about where to find it.
    Thanks to Guillem Jover for this change in dh-make-golang (0.5.0-1)

 -- Anthony Fok <foka@debian.org>  Wed, 20 Oct 2021 15:23:46 -0600

hugo (0.84.0-1) unstable; urgency=medium

  * New upstream version 0.84.0
  * Update versioned dependencies as per go.mod
  * Add docs/hugo_stats.json to debian/copyright

 -- Anthony Fok <foka@debian.org>  Tue, 19 Oct 2021 23:59:00 -0600

hugo (0.83.1-1) unstable; urgency=medium

  * New upstream version 0.83.1
  * Add 0006-skip-TestPara-Time.patch to skip TestPara/Time which fails
    too often on riscv64 buildd, on reproducible-builds etc. probably
    due to these build daemons being fully loaded.
  * debian/rules: Build extended version (with LibSass) on riscv64 now
    that Go 1.16 and 1.17 which support cgo on riscv64 have been released

 -- Anthony Fok <foka@debian.org>  Tue, 19 Oct 2021 08:12:52 -0600

hugo (0.83.0-1) unstable; urgency=medium

  * New upstream version 0.83.0
  * Remove explicit dependency on golang-1.16-go
    as Debian's default Go versions are now 1.16 in bookworm and 1.17 in sid
  * Update versioned dependencies as per go.mod
  * Add local copy of github.com/gohugoio/go-i18n/v2
    as a temporary patch of golang-github-nicksnyder-go-i18n.v2-dev,
    see https://github.com/gohugoio/hugo/issues/7838
  * Re-add snippet to debian/rules convert symlinks to real directories
    where necessary to allow installation of local libraries
  * Add local copy of github.com/bep/gowebp
    while golang-github-bep-gowebp-dev is stuck in the NEW queue
  * Fix Lintian superfluous-file-pattern in debian/copyright warnings:
    .travis.yml and requirements.txt have been removed upstream
  * Remove debian/hugo.lintian-overrides: lintian (2.105.0) fixes #947258
    and no longer complains about "manpage-without-executable"
    for subcommands when main command is documented

 -- Anthony Fok <foka@debian.org>  Mon, 18 Oct 2021 18:46:00 -0600

hugo (0.82.1-1) unstable; urgency=medium

  * New upstream version 0.82.1

 -- Anthony Fok <foka@debian.org>  Thu, 02 Sep 2021 10:07:05 -0600

hugo (0.82.0-1) unstable; urgency=medium

  * New upstream version 0.82.0
  * debian/watch: Use api.github.com to fetch older versions
    such as v0.82.0 which is no longer listed on the first page
    of https://github.com/gohugoio/hugo/tags
  * Update versioned dependencies as per go.mod
  * Bump Standards-Version to 4.6.0 (no change)

 -- Anthony Fok <foka@debian.org>  Thu, 02 Sep 2021 07:16:49 -0600

hugo (0.81.0-1) unstable; urgency=medium

  * New upstream version 0.81.0
  * debian/control: Require golang-1.16-go, and update versioned
    dependencies as per go.mod
  * Refresh 0005-skip-tests-that-access-the-internet.patch
  * Delete patches:
    - 0006-deps-Update-to-esbuild-v0.8.39.patch
    - 0007-build-deps-bump-afero-from-1.4.1-to-1.5.1.patch
    - 0008-add-vendorInfo-to-hugo-version.patch
    - 0100-Feat-Add-zsh-fish-and-powershell-completion-support.patch
    - 0101-Refactor-Remove-powershell-support.patch
    - 0102-Refactor-Write-to-stdout-by-default.patch
  * Postpone updating required golang-google-api-dev version
    to avoid pulling in too many yet-to-be-packaged dependencies
  * Remove our vendored copy of tdewolff/minify v2.6.2
    as Hugo now depends on minify v2.9.13 which is packaged for Debian
  * debian/rules: Prepend PATH with /usr/lib/go-1.16/bin
    until golang-any depends on golang-go (>= 2:1.16~1)
  * Replace space with colon in "hugo version" VendorInfo string.  See
    https://github.com/gohugoio/hugo/pull/8222#issuecomment-776830947

 -- Anthony Fok <foka@debian.org>  Mon, 09 Aug 2021 07:18:35 -0600

hugo (0.80.0-6) unstable; urgency=medium

  * Cherry-pick upstream zsh and fish completion support patch
  * debian/rules, debian/hugo.install: Add zsh completion support
    in /usr/share/zsh/vendor-completions/_hugo (fish completion file
    is not added because fish already comes with its own hugo completion)
  * debian/rules: Simplify definition of BUILD_DATE variable
  * Add debian/patches/0008-add-vendorInfo-to-hugo-version.patch
  * debian/rules: Expand -ldflags to append Debian package information
    to hugo version

 -- Anthony Fok <foka@debian.org>  Tue, 09 Feb 2021 11:47:48 -0700

hugo (0.80.0-5) unstable; urgency=medium

  * Cherry-pick upstream patch for upgrade from afero 1.4.1 to 1.5.1
    to avoid FTBFS now that afero 1.5.1 has been uploaded to Debian

 -- Anthony Fok <foka@debian.org>  Thu, 04 Feb 2021 16:40:06 -0700

hugo (0.80.0-4) unstable; urgency=medium

  * Revert "Include a local copy of github.com/evanw/esbuild v0.8.17"
  * Cherry-pick "deps: Update to esbuild v0.8.39" from upstream.
    See https://github.com/gohugoio/hugo/pull/8198
    Thanks to Bjørn Erik Pedersen (hugo) and Evan Wallace (esbuild)
    for resolving this issue!
  * Bump dependency on golang-github-evanw-esbuild-dev to (>= 0.8.39)

 -- Anthony Fok <foka@debian.org>  Mon, 01 Feb 2021 23:48:43 -0700

hugo (0.80.0-3) unstable; urgency=medium

  * Replace local copy of github.com/cli/safeexec
    with dependency on golang-github-cli-safeexec-dev (>= 1.0.0)
  * Replace local copy of github.com/bep/godartsass
    with dependency on golang-github-bep-godartsass-dev (>= 0.11.0)
  * debian/rules: Restore environment variable CI=true for dh_auto_test
    so that tests that would have caught errors such as
    https://github.com/gohugoio/hugo/issues/8141 would not be missed
  * Remove obsolete 0006-skip-TestHugoModulesTargetInSubFolder.patch
  * Merge patches which skip tests that access the Internet
    into 0005-skip-tests-that-access-the-internet.patch,
    and allow those tests to be run during autopkgtest.
  * Add debian/tests/autopkgtest-pkg-go.conf
    to install git and npm as extra dependencies for autopkgtest
  * debian/rules: Build non-extended version (without LibSass) on riscv64
    as go1.15 does not yet support cgo on riscv64, and extended build FTBFS.
    TODO: Revisit this when go1.16 is released.
    See https://github.com/golang/go/issues/36641

 -- Anthony Fok <foka@debian.org>  Wed, 27 Jan 2021 06:21:10 -0700

hugo (0.80.0-2) unstable; urgency=medium

  * Include a local copy of github.com/evanw/esbuild v0.8.17
    because golang-github-evanw-esbuild 0.8.28-1 which I prematurely
    upgraded to is incompatible with Hugo 0.80.0.
    Fixes https://github.com/gohugoio/hugo/issues/8141

 -- Anthony Fok <foka@debian.org>  Sat, 16 Jan 2021 04:28:36 -0700

hugo (0.80.0-1) unstable; urgency=medium

  * New upstream version 0.80.0
  * debian/control: Update versioned dependencies as per go.mod
  * Add temporary local copy of new dependency
    - github.com/bep/godartsass v0.11.0
  * Remove obsolete 0008-fix-test-with-gocloud.dev-v0.20.0.patch
    and refresh other patches
  * debian/copyright:
    - Add Bjørn Erik Pedersen, main upstream author since 2014,
      to the list of copyright holders of Hugo
    - Add new file SECURITY.md
    - Fix copyright information on various copies of sunset.jpg
      which is Copyright 2017 Bjørn Erik Pedersen under CC-BY-SA-4.0

 -- Anthony Fok <foka@debian.org>  Thu, 31 Dec 2020 19:12:40 -0700

hugo (0.79.1-1) unstable; urgency=medium

  * New upstream version 0.79.1
  * Add temporary local copy of new dependency
    - github.com/cli/safeexec v1.0.0
  * Remove debian/go/src/gocloud.dev/* entry from debian/copyright
  * Add or update minimum versions on dependencies to ensure the correct
    versions are fetched for backports builds, particularly:
    - golang-github-bep-debounce-dev (>= 1.2.0+really1.2.0)
    - golang-github-spf13-fsync-dev (>= 0.9.0)
    - golang-github-spf13-jwalterweatherman-dev (>= 1.1.0+really1.1.0)

 -- Anthony Fok <foka@debian.org>  Tue, 22 Dec 2020 03:11:47 -0700

hugo (0.79.0-2) unstable; urgency=medium

  * Replace our temporary local copy of gocloud.dev v0.15.0
    with build-dependency on golang-gocloud-dev (>= 0.20.0-3~),
    and fix test error with 0008-fix-test-with-gocloud.dev-v0.20.0.patch.
    Special thanks to Pirate Praveen for packaging golang-gocloud!

 -- Anthony Fok <foka@debian.org>  Fri, 04 Dec 2020 21:26:37 -0700

hugo (0.79.0-1) unstable; urgency=medium

  * New upstream version 0.79.0
  * Update versioned dependencies as per go.mod
  * Bump Standards-Version to 4.5.1 (no change)

 -- Anthony Fok <foka@debian.org>  Wed, 02 Dec 2020 01:04:35 -0700

hugo (0.78.2-1) unstable; urgency=medium

  * New upstream version 0.78.2
  * Update versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Mon, 16 Nov 2020 04:43:13 -0700

hugo (0.78.1-1) unstable; urgency=medium

  * New upstream version 0.78.1
  * Bump dependency on golang-github-evanw-esbuild-dev to (>= 0.8.3)

 -- Anthony Fok <foka@debian.org>  Thu, 05 Nov 2020 05:42:33 -0700

hugo (0.78.0-1) unstable; urgency=medium

  * New upstream version 0.78.0
  * Update versioned dependency on golang-github-evanw-esbuild-dev
    to (>= 0.8.2) as per go.mod
  * Build-depend on golang-github-getkin-kin-openapi-dev (>= 0.22.1)
    and remove our temporary local copy

 -- Anthony Fok <foka@debian.org>  Tue, 03 Nov 2020 23:56:47 -0700

hugo (0.77.0-1) unstable; urgency=medium

  * New upstream version 0.77.0
  * Update versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Sat, 31 Oct 2020 06:31:06 -0600

hugo (0.76.5-2) unstable; urgency=medium

  * Restore dependency on golang-github-russross-blackfriday-dev (v1)
    and remove our local copy and my kludge in debian/rules.
    Thanks to the change Shengjing made to golang-blackfriday-v2/2.0.1-3,
    golang-github-russross-blackfriday-dev and
    golang-github-russross-blackfriday-v2-dev may now co-exist,
    and my previous kludge is now unnecessary and even causes a FTBFS bug.
    (Closes: #973105)
  * Build-depend on golang-github-evanw-esbuild-dev (>= 0.7.9)
    and remove our temporary local copy
  * Change build-dependency on golang-github-nicksnyder-go-i18n-dev (>= 2.1.1)
    to golang-github-nicksnyder-go-i18n.v2-dev (>= 2.1.1)
  * debian/copyright: Add merge-release.sh to the Files field

 -- Anthony Fok <foka@debian.org>  Thu, 29 Oct 2020 19:12:04 -0600

hugo (0.76.5-1) unstable; urgency=medium

  * New upstream version 0.76.5
  * Update versioned dependencies as per go.mod
  * Update temporary local copy of unpackaged dependencies
    - github.com/evanw/esbuild v0.7.9
    - github.com/getkin/kin-openapi v0.22.1
  * debian/rules: Reorganize execute_after_dh_auto_configure target
    for easier reading and editing
  * Remove dependency on golang-github-russross-blackfriday-dev (v1)
    and include our own local copy instead.  This is to allow other
    dependencies to pull in golang-github-russross-blackfriday-v2-dev
    (which conflicts with golang-github-russross-blackfriday-dev)
    while allowing Hugo itself to use blackfriday v1.
  * Bump dependency on golang-github-spf13-cobra-dev from 0.0.7 to 1.1.1.
    Cobra 1.1.1 fixes internal formatting for go-md2man v2 (which caused
    man page generation e.g. "hugo gen man" to be broken since Cobra 0.0.6).
    See https://github.com/spf13/cobra/issues/1049 for context.

 -- Anthony Fok <foka@debian.org>  Sat, 24 Oct 2020 05:28:04 -0600

hugo (0.75.1-1) unstable; urgency=medium

  * New upstream version 0.75.1

 -- Anthony Fok <foka@debian.org>  Sat, 19 Sep 2020 21:04:04 -0600

hugo (0.75.0-1) unstable; urgency=medium

  * New upstream version 0.75.0
  * Update versioned dependencies according to go.mod
  * Update temporary local copy of unpackaged dependencies
    - github.com/evanw/esbuild v0.6.32
    - github.com/getkin/kin-openapi v0.22.0
  * Refresh Debian patches (0003, 0005, 0007)

 -- Anthony Fok <foka@debian.org>  Sat, 19 Sep 2020 03:19:11 -0600

hugo (0.74.3-1) unstable; urgency=medium

  * New upstream version 0.74.3
  * Update temporary local copy of unpackaged dependencies
    - github.com/evanw/esbuild v0.6.5

 -- Anthony Fok <foka@debian.org>  Wed, 29 Jul 2020 12:11:24 -0600

hugo (0.74.2-1) unstable; urgency=medium

  * New upstream version 0.74.2

 -- Anthony Fok <foka@debian.org>  Fri, 17 Jul 2020 17:05:17 -0600

hugo (0.74.1-1) unstable; urgency=medium

  * New upstream version 0.74.1

 -- Anthony Fok <foka@debian.org>  Fri, 17 Jul 2020 16:35:36 -0600

hugo (0.74.0-1) unstable; urgency=medium

  * New upstream version 0.74.0
  * Bump debhelper dependency to "Build-Depends: debhelper-compat (= 13)"
  * Update versioned dependencies as per upstream go.mod:
    - github.com/ghodss/yaml v1.0.0
    - github.com/niklasfasching/go-org v1.3.0
    - gopkg.in/yaml.v2 v2.3.0
  * Add temporary local copies of unpackaged dependencies:
    - github.com/evanw/esbuild v0.6.2
    - github.com/getkin/kin-openapi v0.14.0
  * Work around issue with dh_bash-completion in debhelper v13 mode.
    See #965225

 -- Anthony Fok <foka@debian.org>  Fri, 17 Jul 2020 16:12:52 -0600

hugo (0.73.0-1) unstable; urgency=medium

  [ Jelmer Vernooĳ, a.k.a. Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Anthony Fok ]
  * New upstream version 0.73.0
  * debian/missing-sources: Update symlinks

 -- Anthony Fok <foka@debian.org>  Sun, 28 Jun 2020 01:14:54 -0600

hugo (0.72.0-1) unstable; urgency=medium

  * New upstream version 0.72.0
  * Update versioned dependencies as per upstream go.mod
    - golang-github-yuin-goldmark-dev (>= 1.1.31)

 -- Anthony Fok <foka@debian.org>  Wed, 03 Jun 2020 23:07:16 -0600

hugo (0.71.1-1) unstable; urgency=medium

  * New upstream version 0.71.1

 -- Anthony Fok <foka@debian.org>  Mon, 25 May 2020 21:37:20 -0600

hugo (0.71.0-1) unstable; urgency=medium

  * New upstream version 0.71.0
  * Update versioned dependencies as per upstream go.mod
    - golang-github-alecthomas-chroma-dev (>= 0.7.3)
    - golang-github-mattn-go-isatty-dev (>= 0.0.12)
    - golang-github-pkg-errors-dev (>= 0.9.1)

 -- Anthony Fok <foka@debian.org>  Mon, 25 May 2020 20:34:47 -0600

hugo (0.70.0-1) unstable; urgency=medium

  * New upstream version 0.70.0
  * Upgrade our vendored minify v2.6.1 to v2.6.2 as per upstream
    and remove our vendored copy of tdewolff/parse because minify v2.6.2
    depends on the newer parse v2.4.2 which is already packaged for Debian
  * Bump dependency of golang-github-bep-golibsass-dev to (>= 0.6.0)
  * Disable 0006-skip-TestHugoModulesTargetInSubFolder.patch
    as upstream author has temporarily disabled the test in non-CI environment
  * Refresh Debian patches
  * Add 0001-skip-git-tests.patch to skip git tests in releaser/git_test.go
    instead of my previous flaky workaround of setting CI=true in debian/rules

 -- Anthony Fok <foka@debian.org>  Sat, 09 May 2020 05:54:44 -0600

hugo (0.69.2-1) unstable; urgency=medium

  * New upstream version 0.69.2
  * Update dependencies as per upstream go.mod
    - golang-github-yuin-goldmark-dev (>= 1.1.30)

 -- Anthony Fok <foka@debian.org>  Mon, 27 Apr 2020 07:03:45 -0600

hugo (0.69.1-1) unstable; urgency=medium

  * New upstream version 0.69.1
  * Update dependencies as per upstream go.mod
    - golang-github-alecthomas-chroma-dev (>= 0.7.2)
    - golang-github-niklasfasching-go-org-dev (>= 1.1.0)
    - golang-github-yuin-goldmark-dev (>= 1.1.28)

 -- Anthony Fok <foka@debian.org>  Sat, 25 Apr 2020 20:41:15 -0600

hugo (0.69.0-1) unstable; urgency=medium

  * New upstream version 0.69.0
  * Update dependencies as per go.mod:
    - golang-github-bep-gitmap-dev (>= 1.1.2)
    - golang-github-kyokomi-emoji-dev (>= 2.2.1)
    - golang-golang-x-net-dev (>= 1:0.0+git20191209.c0dbc17)

 -- Anthony Fok <foka@debian.org>  Fri, 10 Apr 2020 12:18:48 -0600

hugo (0.68.3-1) unstable; urgency=medium

  * New upstream version 0.68.3

 -- Anthony Fok <foka@debian.org>  Wed, 25 Mar 2020 00:15:45 -0600

hugo (0.68.2-1) unstable; urgency=medium

  * New upstream version 0.68.2
    - Fix cache reset for a page’s collections on server live reload

 -- Anthony Fok <foka@debian.org>  Tue, 24 Mar 2020 23:40:20 -0600

hugo (0.68.1-1) unstable; urgency=medium

  * New upstream version 0.68.1

 -- Anthony Fok <foka@debian.org>  Sun, 22 Mar 2020 12:20:06 -0600

hugo (0.68.0-1) unstable; urgency=medium

  * New upstream version 0.68.0
  * Update build dependencies of blackfriday, and especially
    goldmark 1.1.25 for its bug fix "Insert space after task-list
    checkboxes" as per GFM spec

 -- Anthony Fok <foka@debian.org>  Sun, 22 Mar 2020 10:12:43 -0600

hugo (0.67.1-1) unstable; urgency=medium

  * New upstream version 0.67.1
  * Add "Rules-Requires-Root: no" to debian/control

 -- Anthony Fok <foka@debian.org>  Tue, 17 Mar 2020 00:51:08 -0600

hugo (0.67.0-1) unstable; urgency=medium

  * New upstream version 0.67.0

 -- Anthony Fok <foka@debian.org>  Thu, 12 Mar 2020 09:05:44 -0600

hugo (0.66.0-2) unstable; urgency=medium

  * Revert "Include our own copy of github.com/bep/golibsass v0.5.0"
    and depend on golang-github-bep-golibsass-dev (>= 0.5.0)
  * Remove our own copy of github.com/google/wire
    and depend on golang-github-google-wire-dev (>= 0.2.2)
  * Adjust debian/rules for the removal of our own copies of
    github.com/bep/golibsass and github.com/google/wire
  * Simplify version numbers in dependency list
    i.e. remove trailing "~" where appropriate
  * Remove golang-github-gohugoio-hugo-dev binary package
    as there is no software using Hugo as a library.
    It was provided in case caddy-hugo were ever packaged for Debian,
    but then caddy-hugo became filebrowser with http.hugo plugin
    which was eventually removed altogether, see
    https://caddy.community/t/where-is-http-hugo-plugin/5118
  * Add export DH_GOLANG_EXCLUDES to debian/rules to prevent
    /usr/bin/fork_go_templates and /usr/bin/generate from being built

 -- Anthony Fok <foka@debian.org>  Sun, 08 Mar 2020 06:20:22 -0600

hugo (0.66.0-1) unstable; urgency=medium

  * New upstream version 0.66.0
  * Skip TestResourceChainPostCSS in hugolib/resource_chain_test.go
    as it runs "npm install" which accesses the Internet
    and is disallowed during Debian package build

 -- Anthony Fok <foka@debian.org>  Sat, 07 Mar 2020 05:00:30 -0700

hugo (0.65.3-1) unstable; urgency=medium

  * New upstream version 0.65.3

 -- Anthony Fok <foka@debian.org>  Fri, 28 Feb 2020 21:46:37 -0700

hugo (0.65.2-1) unstable; urgency=medium

  * New upstream version 0.65.2
  * Replace "ln -s" with "cp -a" etc. in execute_after_dh_auto_configure
    to prevent autopkgtest failure due to symlink-vs-real directory setup,
    see add_configure_override() in /usr/bin/dh_golang_autopkgtest

 -- Anthony Fok <foka@debian.org>  Fri, 28 Feb 2020 20:43:03 -0700

hugo (0.65.1-1) unstable; urgency=medium

  * New upstream version 0.65.1
  * Update debian/hugo.lintian-overrides for manpage-without-executable
    for the new "hugo mod verify" subcommand since v0.65.0

 -- Anthony Fok <foka@debian.org>  Fri, 28 Feb 2020 09:16:16 -0700

hugo (0.65.0-1) unstable; urgency=medium

  * New upstream version 0.65.0
  * Update dependencies as per upstream go.mod and bump libsass-dev
    to (>= 3.6.3~), matching that in github.com/bep/golibsass v0.5.0
  * Include our own copy of github.com/bep/golibsass v0.5.0
    until golang-github-bep-golibsass enters Debian
  * debian/rules: Add symlink for our copy of github.com/bep/golibsass

 -- Anthony Fok <foka@debian.org>  Fri, 28 Feb 2020 03:56:39 -0700

hugo (0.64.1-1) unstable; urgency=medium

  * New upstream version 0.64.1
  * Add Upstream-Contact: https://github.com/gohugoio/hugo/issues

 -- Anthony Fok <foka@debian.org>  Thu, 27 Feb 2020 23:13:47 -0700

hugo (0.64.0-1) unstable; urgency=medium

  * New upstream version 0.64.0
  * Bump golang-github-yuin-goldmark dependency to (>= 1.1.22~)
    as per upstream go.mod file
  * Skip TestHugoModulesTargetInSubFolder in hugolib/hugo_modules_test.go
    as network access is not allowed during Debian package build.

 -- Anthony Fok <foka@debian.org>  Thu, 27 Feb 2020 22:24:21 -0700

hugo (0.63.2-1) unstable; urgency=medium

  * New upstream version 0.63.2

 -- Anthony Fok <foka@debian.org>  Thu, 27 Feb 2020 16:09:21 -0700

hugo (0.63.1-1) unstable; urgency=medium

  * New upstream version 0.63.1
  * Remove my vendored copies of go-internal and goldmark-highlighting
    and update debian/control to depend on the new Debian packages
    golang-github-rogpeppe-go-internal-dev and
    golang-github-yuin-goldmark-highlighting-dev
  * Downgrade minify v2.7.2 → v2.6.1 as per upstream
    and downgrade to the matching parse v2.3.14 to avoid test errors.
    See https://github.com/gohugoio/hugo/issues/6791
  * debian/rules: Use our own copy of minify and parse
    by creating symlinks within the build-time GOPATH.
    Attempts to use the previous vendor symlink did not work
    probably due to their use of v2+ modules.

 -- Anthony Fok <foka@debian.org>  Thu, 27 Feb 2020 09:31:10 -0700

hugo (0.63.0-1) unstable; urgency=medium

  * New upstream version 0.63.0
  * debian/control: Update dependencies according to go.mod
  * debian/go: Upgrade github.com/rogpeppe/go-internal to v1.5.1

 -- Anthony Fok <foka@debian.org>  Fri, 21 Feb 2020 13:29:23 -0700

hugo (0.62.2-1) unstable; urgency=medium

  * New upstream version 0.62.2

 -- Anthony Fok <foka@debian.org>  Thu, 20 Feb 2020 16:46:08 -0700

hugo (0.62.1-1) unstable; urgency=medium

  * New upstream version 0.62.1
  * debian/copyright: Update copyright years

 -- Anthony Fok <foka@debian.org>  Thu, 20 Feb 2020 11:11:03 -0700

hugo (0.62.0-1) unstable; urgency=medium

  * New upstream version 0.62.0
  * debian/control: Update dependencies according to go.mod
  * Update debian/copyright

 -- Anthony Fok <foka@debian.org>  Thu, 20 Feb 2020 01:16:51 -0700

hugo (0.61.0-1) unstable; urgency=medium

  * New upstream version 0.61.0
  * debian/control: Depend on golang-github-yuin-goldmark-dev (>= 1.1.14~)
  * debian/go: Adjust vendored dependencies
    - Remove github.com/yuin/goldmark v1.1.8 as 1.1.14-1 has been packaged
    - Update github.com/yuin/goldmark-highlighting to
      v0.0.0-20191202084645-78f32c8dd6d5

 -- Anthony Fok <foka@debian.org>  Wed, 19 Feb 2020 12:56:15 -0700

hugo (0.60.1-1) unstable; urgency=medium

  * New upstream version 0.60.1
  * Update versioned dependency on golang-github-tdewolff-minify-dev
    to (>= 2.6.1~)
  * debian/go: Update github.com/yuin/goldmark to v1.1.8

 -- Anthony Fok <foka@debian.org>  Wed, 19 Feb 2020 03:34:43 -0700

hugo (0.60.0-1) unstable; urgency=medium

  * New upstream version 0.60.0
  * Bump Standards-Version to 4.5.0 (no change)
  * Refresh Debian patches
  * Remove patches of vendored dependencies
  * Add to-be-packaged dependencies under debian/go/src:
    - github.com/gohugoio/testmodBuilder/mods v0.0.0-20190520184928-c56af20f2e95
    - github.com/google/wire v0.2.2
    - github.com/rogpeppe/go-internal v1.3.0
    - github.com/yuin/goldmark v1.1.7
    - github.com/yuin/goldmark-highlighting v0.0.0-20191124122839-ede94e40cc3a
    - gocloud.dev v0.15.0
  * Link debian/go/src as vendored dependencies
    in execute_after_auto_configure in debian/rules
  * Update dependencies according to go.mod
  * Update debian/copyright
  * Add debian/*.lintian-overrides for:
    - manpage-without-executable (hugo subcommands)
    - package-contains-documentation-outside-usr-share-doc (test files)

 -- Anthony Fok <foka@debian.org>  Wed, 19 Feb 2020 02:44:04 -0700

hugo (0.59.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Depend and build depend on the new version of
    golang-github-kyokomi-emoji-dev. (Closes: #946728)

 -- Adrian Bunk <bunk@debian.org>  Sun, 12 Jan 2020 20:21:11 +0200

hugo (0.59.1-1) unstable; urgency=medium

  * New upstream version 0.59.1
  * Update file lists and copyright years in debian/copyright
  * Update build dependencies according to go.mod

 -- Anthony Fok <foka@debian.org>  Tue, 07 Jan 2020 05:07:13 -0700

hugo (0.59.0-1) unstable; urgency=medium

  * New upstream version 0.59.0
  * Remove patches of vendored dependencies
    that have been packaged for Debian, namely
    golang-github-bep-tmc and golang-github-niklasfasching-go-org
  * Update build dependencies according to go.mod
  * Remove patches that have been applied upstream:
    - 0006-ensure-same-dirinfos-sort-order-in-TestImageOperationsGolden.patch
    - 0007-accommodate-FMA-on-s390x-ppc64el-arm64-in-TestImageOperationsGolden.patch
    - 0008-update-svg-test-for-minify-2.5.2.patch

 -- Anthony Fok <foka@debian.org>  Mon, 06 Jan 2020 10:45:07 -0700

hugo (0.58.3-1) unstable; urgency=medium

  * New upstream bug-fix release 0.58.3:
    - Add some more resource transform tests c262a95a @bep #6348
    - Fix cache key transformed resources 6dec671f @bep #6348
    - deploy: Do not compile in Azure on Solaris c0d7188e @fazalmajid #6324

 -- Anthony Fok <foka@debian.org>  Wed, 09 Oct 2019 02:55:21 -0600

hugo (0.58.2-1) unstable; urgency=medium

  * New upstream bug-fix release 0.58.2:
    - Fix cache keys for bundled resoures in transform.Unmarshal
      c0d75736 @bep #6327
    - filecache: Ignore "does not exist" errors in prune
      fcfa6f33 @bep #6326#5745
  * Update debian/copyright to fix Lintian info tags:
    - license-file-listed-in-debian-copyright LICENSE
    - wildcard-matches-nothing-in-dep5-copyright
      vendor/github.com/op/go-logging/*
  * Bump Standards-Version to 4.4.1 (no change)
  * Bump dependency on golang-github-tdewolff-minify-dev to (>= 2.5.2~)
    for real this time (was: >= 2.5.1~)

 -- Anthony Fok <foka@debian.org>  Wed, 09 Oct 2019 02:38:01 -0600

hugo (0.58.1-1) unstable; urgency=medium

  * New upstream bug-fix release 0.58.1:
    - Avoid writing the same processed image to /public twice 9442937d @bep
      #6307
    - hugolib: Fix broken bundle live reload logic 901077c0 @bep #6315#6308
    - deps: Update github.com/bep/gitmap 24ad4295 @bep #6313
    - Fix concat with fingerprint regression 3be2c253 @bep #6309
    - tpl: Remove eq argument limitation 5e660947 @vazrupe #6237
  * Bump dependency on golang-github-bep-gitmap-dev to (>= 1.1.1~)

 -- Anthony Fok <foka@debian.org>  Wed, 09 Oct 2019 01:20:46 -0600

hugo (0.58.0-4) unstable; urgency=medium

  * Add Applied-Upstream field to
    0006-ensure-same-dirinfos-sort-order-in-TestImageOperationsGolden.patch
  * Fix image test error on s390x, ppc64el and arm64.
    In TestImageOperationsGolden, tolerate slight floating-point rounding
    differences due to the use or non-use of "fused multiply and add" (FMA)
    instruction on different architectures.
    Special thanks to Grigory Dryapak for the solution in goldenEqual().
    See https://github.com/gohugoio/hugo/issues/6387
  * Bump dependency on golang-github-tdewolff-minify-dev to (>= 2.5.2~)
    to fix 'code in directory $GOPATH/src/github.com/tdewolff/minify expects
    import "github.com/tdewolff/minify"' error with Go 1.13 in GOPATH mode;
    and to fix SVG breakage due to conversion of polyline/rect/polygon/line
    to path, see https://github.com/tdewolff/minify/issues/260

 -- Anthony Fok <foka@debian.org>  Wed, 09 Oct 2019 00:31:28 -0600

hugo (0.58.0-3) unstable; urgency=medium

  * Add 0006-ensure-same-dirinfos-sort-order-in-TestImageOperationsGolden.patch
    to fix filename mismatch errors on Debian auto-building machines,
    possibly due to different directory order on ext4 vs tmpfs file systems.
    See https://github.com/gohugoio/hugo/pull/6385 for more information.

 -- Anthony Fok <foka@debian.org>  Thu, 03 Oct 2019 05:09:47 -0600

hugo (0.58.0-2) unstable; urgency=medium

  * Remove golang-github-disintegration-gift_1.2.1.patch.
    The package is now available in Debian.
  * Add golang-github-disintegration-gift-dev to Build-Depends

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 12 Sep 2019 19:50:24 +0200

hugo (0.58.0-1) unstable; urgency=medium

  * New upstream version 0.58.0
  * Update build dependencies according to go.mod

 -- Anthony Fok <foka@debian.org>  Fri, 06 Sep 2019 11:11:27 -0600

hugo (0.57.2-1) unstable; urgency=medium

  * New upstream version 0.57.2

 -- Anthony Fok <foka@debian.org>  Sat, 17 Aug 2019 23:29:32 -0600

hugo (0.57.1-1) unstable; urgency=medium

  * New upstream version 0.57.1

 -- Anthony Fok <foka@debian.org>  Sat, 17 Aug 2019 23:07:41 -0600

hugo (0.57.0-1) unstable; urgency=medium

  * New upstream version 0.57.0
  * Update dependencies according to go.mod to follow upstream's switch to
    golang-github-armon-go-radix-dev and golang-github-frankban-quicktest-dev
  * Refresh Debian patches

 -- Anthony Fok <foka@debian.org>  Wed, 14 Aug 2019 03:34:43 -0600

hugo (0.56.3-3) unstable; urgency=medium

  * Remove unneeded dependency on golang-github-go-errors-errors-dev
  * Remove unneeded vendored dependency on golang-github-op-go-logging

 -- Anthony Fok <foka@debian.org>  Sat, 10 Aug 2019 16:02:43 -0600

hugo (0.56.3-2) unstable; urgency=medium

  * Add minimum version for some of the indirect dependencies,
    especially golang-google-api-dev (>= 0.5.0~)
    and golang-google-cloud-dev (>= 0.39.0~),
    to hopefully solve build errors on Ubuntu eoan.

 -- Anthony Fok <foka@debian.org>  Mon, 05 Aug 2019 22:18:32 -0600

hugo (0.56.3-1) unstable; urgency=medium

  * New upstream version 0.56.3

 -- Anthony Fok <foka@debian.org>  Mon, 05 Aug 2019 14:59:02 -0600

hugo (0.56.2-1) unstable; urgency=medium

  * New upstream version 0.56.2
  * Upgrade vendored github.com/niklasfasching/go-org to 0.1.2
  * Increase test timeout to 120m to accommodate slow mips-aql-01 buildd
  * debian/gbp.conf: Set debian-branch = debian/sid

 -- Anthony Fok <foka@debian.org>  Mon, 05 Aug 2019 01:13:27 -0600

hugo (0.56.1-1) unstable; urgency=medium

  * New upstream version 0.56.1

 -- Anthony Fok <foka@debian.org>  Sun, 04 Aug 2019 16:50:22 -0600

hugo (0.56.0-1) unstable; urgency=medium

  * New upstream version 0.56.0
  * debian/control: Update dependencies according to go.mod
  * debian/control: Move to "Build-Depends: debhelper-compat (= 12)"
  * Add yet-to-be-packaged dependencies under vendor/ temporarily:
    - golang-github-gohugoio-testmodbuilder.patch
    - golang-github-google-wire_0.3.0.patch
    - golang-github-niklasfasching-go-org_0.1.1.patch
    - golang-github-op-go-logging_0.0~git20160315.970db52.patch
    - golang-github-rogpeppe-go-internal_1.3.0.patch
    - golang-gocloud-dev_0.15.0.patch
  * debian/control: Add indirect dependencies for vendered libraries temporarily
  * Build with Go 1.12: Bump to golang-any (>= 2:1.12~), dh-golang (>= 1.41~)
  * Build-Depends on git, and Recommends git, for Hugo Modules support
  * Refresh patches
  * debian/rules: Remove DH_GOLANG_INSTALL_EXTRA due to upstream removal of
    an old test and dh-golang automatic installation of testdata directories
  * Skip TestClient in modules/client_test.go which requires network access
    that is not allowed for Debian packaging.
  * debian/copyright: Add copyright information for vendored files
  * debian/copyright: Update main Files list

 -- Anthony Fok <foka@debian.org>  Sun, 04 Aug 2019 07:27:58 -0600

hugo (0.55.6+really0.55.6-1) unstable; urgency=medium

  * Revert to upstream version 0.55.6 now that Debian 10 "buster" is released.
    See https://bugs.debian.org/928227 for background information.
  * Bump Standards-Version to 4.4.0 (no change)

 -- Anthony Fok <foka@debian.org>  Fri, 12 Jul 2019 07:50:48 -0600

hugo (0.55.6+really0.54.0-1) unstable; urgency=medium

  * Revert all changes between 0.54.0-1 and 0.55.6-2.
    See https://bugs.debian.org/928227 for a rationale.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 04 Jun 2019 21:16:36 +0200

hugo (0.55.6-2) unstable; urgency=medium

  * Increase "go test" timeout to 60m to accommodate slow mips builders,
    namely mips-aql-04 and mips-aql-05.

 -- Anthony Fok <foka@debian.org>  Thu, 23 May 2019 14:51:17 -0600

hugo (0.55.6-1) unstable; urgency=medium

  * New upstream version 0.55.6

 -- Anthony Fok <foka@debian.org>  Thu, 23 May 2019 11:25:31 -0600

hugo (0.55.5-1) unstable; urgency=medium

  * New upstream version 0.55.5
  * Update dependency on blackfriday to >= 1.5.2~

 -- Anthony Fok <foka@debian.org>  Sat, 11 May 2019 06:38:20 -0600

hugo (0.55.4-1) unstable; urgency=medium

  * New upstream version 0.55.4

 -- Anthony Fok <foka@debian.org>  Thu, 25 Apr 2019 14:34:37 -0600

hugo (0.55.3-1) unstable; urgency=medium

  * New upstream version 0.55.3

 -- Anthony Fok <foka@debian.org>  Thu, 25 Apr 2019 14:27:20 -0600

hugo (0.55.2-1) unstable; urgency=medium

  * New upstream version 0.55.2
  * Add debian/missing-sources for app.bundle.js

 -- Anthony Fok <foka@debian.org>  Thu, 25 Apr 2019 13:48:05 -0600

hugo (0.55.1-1) unstable; urgency=medium

  * New upstream version 0.55.1
  * Update files list in debian/copyright

 -- Anthony Fok <foka@debian.org>  Sun, 14 Apr 2019 13:36:44 -0600

hugo (0.55.0-1) unstable; urgency=medium

  * New upstream version 0.55.0
  * Update dependencies as per upstream go.mod
  * Update files list and copyright years in debian/copyright
  * Refresh 004-increase-timeout-in-TestPageBundlerSiteRegular.patch

 -- Anthony Fok <foka@debian.org>  Sun, 14 Apr 2019 04:46:30 -0600

hugo (0.54.0-1) unstable; urgency=medium

  * New upstream version 0.54.0
  * Update versioned dependencies on golang-github-spf13-afero-dev
    and golang-github-alecthomas-chroma-dev

 -- Anthony Fok <foka@debian.org>  Fri, 01 Feb 2019 11:13:18 -0700

hugo (0.53-3) unstable; urgency=medium

  [ Dr. Tobias Quathamer ]
  * Revert hard dependency on golang-1.11, it's the default now.

  [ Anthony Fok ]
  * Bump Standards-Version to 4.3.0 (no change)
  * Update Build-Depends of dh-golang to (>= 1.39~) for support for
    Go 1.11 modules.  Previous workarounds in debian/rules are now removed.

 -- Anthony Fok <foka@debian.org>  Sat, 29 Dec 2018 17:35:19 -0700

hugo (0.53-2) unstable; urgency=medium

  * Fix the BuildDate that "hugo version" displays

 -- Anthony Fok <foka@debian.org>  Tue, 25 Dec 2018 18:57:53 -0700

hugo (0.53-1) unstable; urgency=medium

  * New upstream version 0.53
  * Update dependencies in debian/control
  * Move app.bundle.js/* to app.js/* in debian/missing-sources
  * Update Files lists in debian/copyright

 -- Anthony Fok <foka@debian.org>  Mon, 24 Dec 2018 07:05:59 -0700

hugo (0.52-1) unstable; urgency=medium

  * New upstream version 0.52
  * Update dependency on golang-github-bep-go-tocss-dev (>= 0.6.0~)
  * Refresh 004-increase-timeout-in-TestPageBundlerSiteRegular.patch
  * Remove 005-remove-duplicate-mapstructure-dependency.patch
  * Remove appveyor.yml from debian/copyright Files list

 -- Anthony Fok <foka@debian.org>  Fri, 21 Dec 2018 08:59:29 -0700

hugo (0.51-1) unstable; urgency=medium

  * New upstream version 0.51
  * Install go.mod to enable "minimal module compatibility"
    This is required for handling github.com/tdewolff/minify/v2
    and future v2+ modules even in GOPATH mode
  * Backport upstream patch to remove duplicate mapstructure dependency
  * Update dependencies

 -- Anthony Fok <foka@debian.org>  Thu, 20 Dec 2018 15:50:00 -0700

hugo (0.50-1) unstable; urgency=medium

  * New upstream version 0.50
  * Refresh debian/patches/*, especially
    004-increase-timeout-in-TestPageBundlerSiteRegular.patch where
    hugolib/page_bundler_test.go was renamed to hugolib/pagebundler_test.go
  * Update dependencies
  * Update Files list in debian/copyright: snapcraft.yaml → snap/*

 -- Anthony Fok <foka@debian.org>  Thu, 20 Dec 2018 10:37:41 -0700

hugo (0.49.2-1) unstable; urgency=medium

  * New upstream bugfix release 0.49.2

 -- Anthony Fok <foka@debian.org>  Wed, 19 Dec 2018 22:57:20 -0700

hugo (0.49.1-1) unstable; urgency=medium

  * New upstream bugfix release 0.49.1

 -- Anthony Fok <foka@debian.org>  Wed, 19 Dec 2018 22:40:31 -0700

hugo (0.49-1) unstable; urgency=medium

  * New upstream version 0.49
  * Update Files list in debian/copyright
  * Update Maintainer address in debian/control

 -- Anthony Fok <foka@debian.org>  Wed, 19 Dec 2018 21:33:21 -0700

hugo (0.48-1) unstable; urgency=medium

  * New upstream version 0.48 (Closes: #908250)
  * Build-Depends on golang-1.11-go instead of golang-any.
    This is a temporary measure until Go 1.11, required by Hugo >= 0.48,
    becomes the default in Debian.  Special thanks to Michael Hudson-Doyle
    and Dr. Tobias Quathamer for their great work in packaging golang-1.11!
  * Build-Depends on asciidoctor to avoid FTBFS with asciidoc.
    Thanks to Vincent Danjean for the report and the fix! (Closes: #907478)
  * Set GO111MODULE=off in debian/rules
  * Add go.mod and go.sum to Files list in debian/copyright

 -- Anthony Fok <foka@debian.org>  Wed, 19 Dec 2018 15:57:13 -0700

hugo (0.47.1-2) unstable; urgency=medium

  * Depend on golang-github-{bep-go-tocss,wellington-go-libsass}-dev.
    These packages have been accepted into Debian,
    so the embedded copies in golang-github-bep-go-tocss.patch
    and golang-github-wellington-go-libsass.patch are now removed.
  * Bump Standards-Version to 4.2.1 (no change)

 -- Anthony Fok <foka@debian.org>  Mon, 24 Sep 2018 21:41:10 -0600

hugo (0.47.1-1) unstable; urgency=medium

  * New upstream bugfix release 0.47.1:
    - Fix .Site.Params case regression fdff0d3a @bep #5094
    - Do not strip IE conditional statements 5a0ee2b9 @bep #5089

 -- Anthony Fok <foka@debian.org>  Thu, 23 Aug 2018 17:24:39 -0600

hugo (0.47-1) unstable; urgency=medium

  * New upstream version 0.47: Hugo Reloaded
    - Add minification support for the final rendered output
      ("run hugo --minify").
    - Fix a set of issues with live-reloading/partial rebuilds
      when running "hugo server".
  * Bump build-dependency on golang-github-alecthomas-chroma-dev
    to version (>= 0.5.0).  Special thanks to
    Dr. Tobias Quathamer <toddy@debian.org> for his timely update
    of the golang-github-alecthomas-chroma package.
  * Bump Standards-Version to 4.2.0 (no change)
  * Add minifiers/* and publisher/* to Files list in debian/copyright

 -- Anthony Fok <foka@debian.org>  Sat, 18 Aug 2018 04:12:58 -0600

hugo (0.46-1) unstable; urgency=medium

  * New upstream version 0.46: Summer of Hugo
    - Full SCSS/SASS import inheritance support, rework of Hugo Pipes
      vs. multilingual, and more…
  * Update versioned dependency on golang-github-alecthomas-chroma-dev

 -- Anthony Fok <foka@debian.org>  Wed, 01 Aug 2018 07:38:57 -0600

hugo (0.45.1-1) unstable; urgency=medium

  * New upstream bugfix release 0.45.1:
    - Add Page.FirstSection 016dd4a6 @bep
    - Fix .Site.GetPage regression 04d4c08d @bep #4989
    - Fix “borrow content from another language” issue c6b599a0 @bep #4986

 -- Anthony Fok <foka@debian.org>  Thu, 26 Jul 2018 05:35:08 -0600

hugo (0.45-1) unstable; urgency=medium

  * New upstream version 0.45: Revival of ref, relref and GetPage.
    Hugo 0.45 adds relative page lookups, language support in ref/relref
    and several Hugo Pipes improvements.
  * Link with system libsass1 shared library
  * Remove "utils/*" listing from debian/copyright as per upstream

 -- Anthony Fok <foka@debian.org>  Mon, 23 Jul 2018 10:03:49 -0600

hugo (0.44-1) unstable; urgency=medium

  * New upstream version 0.44: Friday the 13th Edition,
    a sequel to the very popular Hugo Pipes Edition;
    bug-fixes and enhancements…
  * Add versioned dependency on golang-github-tdewolff-minify-dev
    (>= 2.3.5-2~)
  * Revert patch for "Remove empty hugolib/resources/ dir after
    TestNewSiteDefaultLang" as it has been merged upstream.

 -- Anthony Fok <foka@debian.org>  Fri, 13 Jul 2018 17:15:26 -0600

hugo (0.43-2) unstable; urgency=medium

  * Fix failed autopkgtest due to missing vendor directory.
    Also remove unneeded wellington/go-libsass/libsass-src directory

 -- Anthony Fok <foka@debian.org>  Tue, 10 Jul 2018 20:37:50 -0600

hugo (0.43-1) unstable; urgency=medium

  * New upstream version 0.43: Hugo Pipes!
    “Hugo 0.43 adds a powerful and very simple to use Assets Pipeline
     with Sass and SCSS with source map support, PostCSS and minification
     and fingerprinting and Subresource Integrity and … much more.
     Oh, did we mention that you can now do ad-hoc image processing
     and execute text resources as Go templates?”
  * Build hugo with the "extended" build tag for Sass/SCSS support
  * Bump Standards-Version to 4.1.5 (no change)
  * Add new dependencies to debian/control:
     - golang-github-burntsushi-locker-dev
     - golang-github-dsnet-golib-dev
     - golang-github-mitchellh-hashstructure-dev
     - golang-github-tdewolff-minify-dev
    The following are the NEW queue, hence skipping for now:
     - golang-github-bep-go-tocss-dev and
     - golang-github-wellington-go-libsass-dev
  * Update Files list in debian/copyright
  * Remove empty hugolib/resources/ dir after TestNewSiteDefaultLang.
    See https://github.com/gohugoio/hugo/pull/4922
  * Build with our own copies of Sass-related libraries,
    a temporary hack until golang-github-bep-go-tocss,
    golang-github-wellington-go-libsass enter Debian,
    and libsass 3.5.4-1 moves from Ubuntu "proposed" to "release".

 -- Anthony Fok <foka@debian.org>  Tue, 10 Jul 2018 01:13:17 -0600

hugo (0.42.2-1) unstable; urgency=medium

  * New upstream bugfix release 0.42.2:
    - Fix broken server-reload on config changes.
      This is a regression from Hugo 0.42. 3a7706b0 @bep #4878

 -- Anthony Fok <foka@debian.org>  Fri, 29 Jun 2018 16:20:40 -0600

hugo (0.42.1-1) unstable; urgency=medium

  * New upstream bugfix release 0.42.1:
    - Reset the global pages cache on server rebuilds 128f14ef @bep #4845
    - Do not fail server build when /static is missing 34ee27a7 @bep #4846

 -- Anthony Fok <foka@debian.org>  Wed, 13 Jun 2018 07:44:44 -0600

hugo (0.42-1) unstable; urgency=medium

  * New upstream version 0.42: Theme Composition and Inheritance!
  * Update versioned dependencies
  * Refresh 004-increase-timeout-in-TestPageBundlerSiteRegular.patch
  * Add langs/* to debian/copyright

 -- Anthony Fok <foka@debian.org>  Tue, 12 Jun 2018 09:13:07 -0600

hugo (0.41-1) unstable; urgency=medium

  * New upstream version 0.41:
    Add a new Privacy Configuration section to meet the new regulations
    in the new General Data Protection Regulation (GDPR).
  * Refresh 004-increase-timeout-in-TestPageBundlerSiteRegular.patch
  * Add .github/SUPPORT.md to debian/copyright
  * Install only /usr/bin/hugo and not /usr/bin/generate

 -- Anthony Fok <foka@debian.org>  Mon, 28 May 2018 00:30:57 -0600

hugo (0.40.3-1) unstable; urgency=medium

  * New upstream bugfix release 0.40.3:
    Fixes a rare, but possible Content truncation issue.
    Hugo 0.40.3 fixes a possible .Content truncation issue introduced
    in 0.40.1 90d0d830 @bep #4706. This should be very rare.
    It has been reported by only one user on a synthetic site.
    We have tested a number of big sites that does not show this problem
    with 0.40.2, but this is serious enough to warrant a patch release.

 -- Anthony Fok <foka@debian.org>  Wed, 09 May 2018 06:18:04 -0600

hugo (0.40.2-1) unstable; urgency=medium

  * New upstream bugfix release 0.40.2
    - Reset .Page.Scratch on live-reload 655983a2 @bep #4683
    - Fix .WordCount, .FuzzyWordCount, .ReadingTime when summary marker
      is set 001a28c2 @bep #4675 #4682

 -- Anthony Fok <foka@debian.org>  Mon, 30 Apr 2018 06:48:09 -0600

hugo (0.40.1-3) unstable; urgency=medium

  * Increase TestPageBundlerSiteRegular timeout further to 10 minutes
    (from 2 minutes) and hope it would not time out again
    on Debian's slowest "mips" build daemon.
    See https://github.com/gohugoio/hugo/issues/4672

 -- Anthony Fok <foka@debian.org>  Thu, 26 Apr 2018 17:52:05 -0600

hugo (0.40.1-2) unstable; urgency=medium

  * Fix FTBFS on armel by increasing TestPageBundlerSiteRegular timeout
    from 10 seconds to 120 seconds, and show warning if it does time out.
    Special thanks to upstream author @bep for providing the solution.
    (004-increase-timeout-in-TestPageBundlerSiteRegular.patch)
    See https://github.com/gohugoio/hugo/issues/4672
  * Increase "go test" timeout to 30m to prevent potential FTBFS
    especially on "armel" and "mips".

 -- Anthony Fok <foka@debian.org>  Thu, 26 Apr 2018 14:48:51 -0600

hugo (0.40.1-1) unstable; urgency=medium

  * New upstream bugfix release 0.40.1

 -- Anthony Fok <foka@debian.org>  Wed, 25 Apr 2018 11:16:11 -0600

hugo (0.40-1) unstable; urgency=medium

  * New upstream version 0.40
  * Unlist removed files from debian/copyright.
    See https://github.com/gohugoio/hugoDocs/issues/65

 -- Anthony Fok <foka@debian.org>  Mon, 23 Apr 2018 06:59:59 -0600

hugo (0.39-1) unstable; urgency=medium

  * New upstream release 0.39: the Nat King Cole Stabilizer Edition
  * Update debian/copyright as upstream changed LICENSE.md to LICENSE
    for GitHub to be able to detect Hugo's Apache-2.0 license

 -- Anthony Fok <foka@debian.org>  Mon, 16 Apr 2018 20:03:18 -0600

hugo (0.38.2-1) unstable; urgency=medium

  * New upstream bug-fix release 0.38.2
  * Add new dependency golang-github-bep-debounce-dev

 -- Anthony Fok <foka@debian.org>  Sun, 15 Apr 2018 23:17:40 -0600

hugo (0.38-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Anthony Fok ]
  * New upstream version 0.38
  * Refresh debian/control
    - Add new dependency on golang-github-sanity-io-litter-dev
    - Update versioned dependency on golang-github-alecthomas-chroma-dev
    - Apply "cme fix dpkg"
    - Bump Standards-Version to 4.1.4 (no change)
  * Update copyright year in debian/copyright
  * Refresh 002-do-not-use-git-information-in-docs.patch
  * Add 003-disable-TestPageWithLastmodFromGitInfo.patch

 -- Anthony Fok <foka@debian.org>  Tue, 10 Apr 2018 07:34:08 -0600

hugo (0.37.1-1) unstable; urgency=medium

  * New upstream bugfix release:
     - Fixes SVG (and similar) handling as page resources.
  * Prevent TestImageResize8BitPNG from failing on Ubuntu
    by setting NO_PNG_PKG_MANGLE=1 to prevent pkgbinarymangler
    from recompressing our test PNG image.

 -- Anthony Fok <foka@debian.org>  Thu, 08 Mar 2018 17:32:37 -0700

hugo (0.37-2) unstable; urgency=medium

  * Depend on golang-github-alecthomas-chroma (>= 0.3.0)
    just as the upstream Hugo 0.37 does, for fixing a bug in yaml
    highlighting. See https://github.com/gohugoio/hugo/issues/4418
    and https://github.com/alecthomas/chroma/issues/119.

 -- Anthony Fok <foka@debian.org>  Thu, 01 Mar 2018 23:55:47 -0700

hugo (0.37-1) unstable; urgency=medium

  [ Dr. Tobias Quathamer ]
  * New upstream version 0.37

  [ Anthony Fok ]
  * Add new dependency: golang-github-muesli-smartcrop-dev
    and newer version of golang-github-russross-blackfriday-dev (>= 1.5.1-1~)
  * Add BuildDate (honoring SOURCE_DATE_EPOCH) to hugo
  * Update debian/copyright:
     - Add new docs/src/package-lock.json
     - Document the Vernon Adams' authorship of Muli font
     - Add a comment about the original source URL of gohugoioTheme
     - Add copyright info for docs/themes/gohugoioTheme/src/js/hljs.js
       and provide a reconstructed uncompressed source file
     - Add missing sources for app.bundle.js and document their origins

 -- Anthony Fok <foka@debian.org>  Thu, 01 Mar 2018 12:20:58 -0700

hugo (0.35-1) unstable; urgency=medium

  * New upstream version 0.35 (Closes: #861492)
    - Update dependencies for new upstream version
    - Add new patch to wrap overly long lines. This fixes a lintian error.
    - Add lintian override for wrong error.
  * Update d/copyright
    - Add information for goHugoioTheme
    - Add information for missing files
    - Remove files which are no longer in upstream's tarball
  * Remove special handling of MIPS architecture.
    This reverts c15ac1c
  * Use debhelper v11
  * Update Standards-Version to 4.1.3, no changes needed
  * Add testdata to DH_GOLANG_INSTALL_EXTRA

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 12 Feb 2018 22:24:30 +0100

hugo (0.26-1) unstable; urgency=medium

  * New upstream version 0.26
  * Update dependencies:
    - Replace golang-github-bep-inflect-dev with
      golang-github-markbates-inflect-dev
    - Add golang-github-jdkato-prose-dev
  * Update Files listing in debian/copyright
  * Upgrade debian/watch to version 4 format
  * Reformat debian/control with "cme fix dpkg", and bump Standards-Version
    to 4.1.1: Change -dev package priority from extra to optional
  * Refresh 002-do-not-use-git-information-in-docs.patch
  * Delete 003-accommodate-gccgo-in-TestMethodToName.patch which has been
    accepted upstream, see https://github.com/gohugoio/hugo/pull/3747
  * Delete 001-disable-google-analytics-in-docs.patch
    which cannot be applied to Hugo's revamped documentation
  * Disable "hugo -s docs" run because Git submodule
    docs/themes/gohugoioTheme is not checked out

 -- Anthony Fok <foka@debian.org>  Mon, 13 Nov 2017 11:45:19 -0700

hugo (0.25.1-2) unstable; urgency=medium

  * Add 003-accommodate-gccgo-in-TestMethodToName.patch
    to allow the test to pass with gccgo.
  * Get hugo to build on mips, mipsel and mips64el:
     1. Add e.g. "-tags mipsle" as appropriate so that golang.org/x/sys/unix
        builds correctly before the release of GCC 7.2 which hopefully
        contains the harmonized GOARCH values for gccgo.
        See https://github.com/golang/go/issues/18031
     2. Run "go install" and "go test" in single thread and allow retries
        to beat the "waitid: bad address" error on mips and mipsel.
        See https://bugs.debian.org/867358

 -- Anthony Fok <foka@debian.org>  Thu, 03 Aug 2017 02:06:42 -0600

hugo (0.25.1-1) unstable; urgency=medium

  [ Dr. Tobias Quathamer ]
  * New upstream version 0.25.1
  * Rename -dev package to golang-github-gohugoio-hugo-dev following
    upstream’s move from github.com/spf13/hugo to github.com/gohugoio/hugo
    - Update Go-Import-Path
    - Update source URL in debian/copyright
    - Rename debhelper install file for -dev package
  * Update Build-Deps
    - golang-github-burntsushi-toml-dev
    - golang-github-chaseadamsio-goorgeous-dev
    - golang-github-hashicorp-go-immutable-radix-dev
    - golang-golang-x-image-dev
  * Add Testsuite: autopkgtest-pkg-go
  * Update to Standards-Version 4.0.0: Use HTTPS URL for debian/copyright

  [ Anthony Fok ]
  * Special thanks to Dr. Tobias Quathamer who have created the following
    new Debian package specifically for the new Hugo release:
    - golang-github-chaseadamsio-goorgeous-dev
    - golang-golang-x-image-dev
  * Add Dr. Tobias Quathamer to the list of Uploaders
  * Refresh 002-do-not-use-git-information-in-docs.patch
  * Delete 003-update-dateFormat-test-expectations-for-epoch-values.patch
    which was previously cherry-picked from upstream
  * Add CI=true to skip new Git tests which upstream also skips on Travis CI
  * Update debian/watch for the spf13 → gohugoio migration
  * Update copyright year and files list in debian/copyright

 -- Anthony Fok <foka@debian.org>  Mon, 24 Jul 2017 16:38:35 -0600

hugo (0.18.1-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 0.18.1
    - Add new patch to prevent test failures, can be dropped with 0.19
  * Enable parallel building again, it was not the source of the FTBFS

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 30 Dec 2016 17:01:10 +0100

hugo (0.18-2) unstable; urgency=medium

  * Disable parallel building to prevent FTBFS

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 24 Dec 2016 11:51:17 +0100

hugo (0.18-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 0.18. Closes: #846552, #848406
    - Update Build-Depends with currently needed packages
    - Refresh patch
    - Add new patch to disable git information in docs
  * Use debhelper v10
  * Disable network access during testing by using -test.short flag
  * Remove no longer needed lintian override
  * Update debian/copyright for new upstream files

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 22 Dec 2016 17:43:52 +0100

hugo (0.16-2) unstable; urgency=medium

  * Build with golang-any (>= 2:1.7~1)

 -- Anthony Fok <foka@debian.org>  Wed, 24 Aug 2016 10:49:32 -0600

hugo (0.16-1) unstable; urgency=medium

  * New upstream release
  * Refresh dependencies in debian/control:
    - Replace architecture-specific hack with golang-any in Build-Depends
    - Remove old transitional alternate dependencies
    - Update several versioned dependencies

 -- Anthony Fok <foka@debian.org>  Sun, 12 Jun 2016 02:16:18 -0600

hugo (0.15+git20160427.545.0903886-1) unstable; urgency=medium

  * New upstream snapshot
  * Update debian/control
    - Bump Standards-Version to 3.9.8 (no change)
    - Use secure https URLs for Vcs-Git and Homepage fields
    - New dependency on golang-github-kyokomi-emoji-dev
    - Change dependency on golang-github-go-fsnotify-fsnotify-dev to
      its new name golang-github-fsnotify-fsnotify-dev,
      golang-pretty-dev to golang-github-kr-pretty-dev,
      and golang-x-text-dev to golang-golang-x-text-dev
  * Refresh 001-disable-google-analytics-in-docs.patch
  * Refresh debian/copyright

 -- Anthony Fok <foka@debian.org>  Sat, 30 Apr 2016 03:37:41 +0800

hugo (0.15+git20160206.203.ed23711-1) unstable; urgency=high

  * New upstream snapshot:
     - Fix Hugo hang up with empty content directory
  * Depend on a newer version of golang-github-spf13-afero-dev
    (>= 0.0~git20160125.0.a5d3e7c) to ensure theme's static files
    are synchronized
  * Special thanks to Tatsushi Demachi (@tatsushid) for fixing
    the two high-priority bugs listed above.

 -- Anthony Fok <foka@debian.org>  Sat, 06 Feb 2016 18:43:24 +0800

hugo (0.15+git20160128.179.5def6d9-1) unstable; urgency=medium

  * New upstream snapshot
  * Update dependencies on latest Afero and Cobra with matching APIs
    (Closes: #812645)

 -- Anthony Fok <foka@debian.org>  Fri, 29 Jan 2016 15:12:18 +0800

hugo (0.15+git20160109.147.dd1d655-2) unstable; urgency=medium

  * Allow the use of gccgo on architectures without golang-go
  * Remove manual fixes to auto-generated hugo-server.1 man page
    now that golang-github-cpuguy83-go-md2man-dev (1.0.5-1) is here
  * Depends on latest golang-github-go-fsnotify-fsnotify-dev (>= 1.2.9)
    for recent fixes

 -- Anthony Fok <foka@debian.org>  Thu, 14 Jan 2016 05:46:38 -0700

hugo (0.15+git20160109.147.dd1d655-1) unstable; urgency=medium

  * Initial release, Take 2 (Closes: #798418)
  * Install bash completion for Hugo

 -- Anthony Fok <foka@debian.org>  Mon, 11 Jan 2016 16:09:38 -0700

hugo (0.15+git20151224.105.1d6286b-1) unstable; urgency=medium

  * Initial release (Closes: #798418)

 -- Anthony Fok <foka@debian.org>  Thu, 24 Dec 2015 13:18:27 -0700
